#include<iostream>
using namespace std;
int main()
{
    long long a,b,l,x,y,br=0,i,masl[100000];

    cin>>a>>b>>l;

    if(a>b){
    cout<<l-(l/a);
    }else{
    cout<<l-(l/b);
    }
 return 0;
}

